Questions tagged [zypper]

Questions about zypper, the command-line interface of the ZYpp package manager.

Filter by
Sorted by
Tagged with
0 votes
1 answer
17 views

SUSE 12 zypper can't install unsigned package non interactively

I have a problem with SUSE 12 zypper. I need to install an unsigned package with zypper in non-interactive mode from script. Unfortunately, zypper version is 1.13 and there is no option for flag --...
user avatar
0 votes
0 answers
7 views

zypper hung while installing custom package

I need some help in debugging a package installation failure. Initially I thought it’s scriptlet failure but the "rpm" child process of zypper seems to be exiting with 0 and staying as Not ...
user avatar
0 votes
2 answers
510 views

Install apt-get on openSUSE

On my system, openSUSE (15.1) is installed, as is zypper packet manager, which I'm not used to. Specifically, I think it lacks a huge amount of software, that I would like to use. I did already manage ...
user avatar
0 votes
0 answers
42 views

Troubleshooting Zypper info command hanging

In my perl script, I run a tcsh command to get the Zypper repo information: my $cmd = "zypper info $packageL"; my ($stdout, $stderr, $exit_status) = capture { system($cmd); }; I run in a ...
user avatar
  • 63
0 votes
0 answers
48 views

Apparmor_opt, enhanced_base_opt not present in SUSE Linux Enterprise Server 15 service pack 2

I had an OpenSUSE Leap15.2 OS. I used autoYaST for auto-installation. This is the patterns section of the autoYaST file. <patterns config:type="list"> <pattern>apparmor</...
user avatar
  • 121
0 votes
0 answers
68 views

How to install the wash command in SUSE?

I'm trying to install the wash command in my Singularity definition file. The singularity definition file uses SUSE12 and I can use the zypper command to install stuff. I tried: zypper search -s wash ...
user avatar
  • 63
1 vote
2 answers
108 views

Remove a RPM file without touching any of the files

I just installed a totally wrongly packaged RPM on my openSUSE distribution (the packager added / and /usr/* as a file of the package, so I can't uninstall it without wiping the entire root FS) How ...
user avatar
0 votes
1 answer
430 views

How to install git on SLES 12?

This is similar to the question about http not supported, but I was not able to apply the solutions suggested there to my situation. I've done zypper addrepo https://download.opensuse.org/repositories/...
user avatar
  • 125
0 votes
1 answer
418 views

Unable to run `zypper refresh` on SLES 12.5

I am trying to install docker on SLES 12.5. I tried to follow the instructions on this SO answer. Initial Attempt # zypper addrepo https://download.opensuse.org/repositories/Virtualization:containers/...
user avatar
  • 127
0 votes
2 answers
97 views

What is the use for this file pk_backend_zypp under /var/log and can I truncate it on OpenSuse Linux 13.2 (Harlequin)

I am running opensuse 13.2 and I have this file pk_backend_zypp under the /var/log directory which keeps growing. What could be the use of this file and can I truncate (zerorize) it without causing ...
user avatar
1 vote
1 answer
223 views

libzypp, YaST, Zypper, PackageKit and Gnome Software Center - What is that mess all about?

I would like the help of someone with more experience to understand the differences and how those 5 things are connected: libzypp, YaST, Zypper, PackageKit and Gnome Software Center. Here is my take ...
user avatar
  • 33
1 vote
1 answer
522 views

Install Headless Chrome in Suse

I am trying to install a headless Chrome browser. My current OS is SUSE Linux Enterprise Server 12 (x86_64). I am following this guide: https://www.simplified.guide/google-chrome/install-on-suse But ...
user avatar
  • 111
1 vote
1 answer
326 views

how to prevent zypper from install libreoffice on opensuse tumbleweed upgrade

I wanted to update the system with zypper dup command but Each time the command is executed, the zypper tries to install libreoffice* and some other apps, although I have already deleted that ...
user avatar
2 votes
1 answer
5k views

How do I disable zypper's certificate check?

I'm using SLES 2015 behind a firewall. All of my outgoing communications go over a proxy; specifically, zypper tries to use the proxy when I write, say, zypper search-packages foo but the proxy ...
user avatar
  • 7,249
2 votes
2 answers
4k views

How to remove unneeded rpm packages in openSUSE?

Is there any alternatives for yum autoremove in rpm or zypper? (openSUSE doesnt have yum) I need it because zypper installs recommended packages by default and often doesnt clean them automatically
user avatar
  • 166
0 votes
2 answers
2k views

openSUSE - Repository 'XY' is invalid - change repository to load from internet instead from medium

I try to install some PHP modules: zypper install php7.0-gd php7.0-mcrypt php7.0-curl php7.0-intl php7.0-xsl php7.0-mbstring php7.0-openssl php7.0-zip php7.0-soap Output: Failed to mount cd:///?...
user avatar
  • 1,708
0 votes
1 answer
311 views

Zypper packages status flag explanation

As I am working on automating the patch process on a Suse machines. I would like to get a clearer image on the packages status lifecycle. First of all, I am trying to list the available patches and ...
user avatar
  • 177
1 vote
2 answers
253 views

What is meant by "Lock packages" and when exactly it is used

I moved to openSUSE recently. In their cheat sheet, there is a section called "Lock packages". Can someone explain for me what they are and when they're used? for example: lock all packages ...
user avatar
  • 177
5 votes
1 answer
4k views

zypper search output what does i+ mean?

I'm struggling to understand what does the '+' symbol mean in the zypper output search. I have some packages that in the S field have I, others I+. What is this + ? For some reason my system hasn't ...
user avatar
  • 165
0 votes
1 answer
981 views

Error "libpthread.so.0()(64bit) is needed by code-1.33.1-xyz": Couldn't install VS Code in OpenSuse Tumbleweed

I have OpenSuse Tumbledweed Desktop Environment. OS details are below - rajkumar@localhost:~> cat /etc/os-release      NAME="openSUSE Tumbleweed" # VERSION="20190426" ID="opensuse-tumbleweed" ...
user avatar
0 votes
1 answer
731 views

Zypper completely not working

I've experienced a sudden error when trying to run zypper by any form: zypper: symbol lookup error: /usr/lib64/libzypp.so.908: undefined symbol: gzdopen Not very sure how to fix that, since the ...
user avatar
2 votes
1 answer
179 views

What are the relationships between package commands?

RPM based package managers support subcommands such as requires, recommends, conflicts, obsoletes, suggests and supplements. In reading the rpm man pages and dependencies documentation, it isn't ...
user avatar
  • 309
1 vote
1 answer
407 views

Piping output of zypper ps -sss into systemctl restart

I do not want to restart the server after a zypper up. Instead I want to restart all services using deleted files as shown by zypper ps -sss. I thought I could do something like zypper ps -sss | tr '\...
user avatar
  • 123
1 vote
1 answer
2k views

How do I install 32 bit package in a 64 bit SUSE machine using zypper?

If I have to install a package( 64-bit ) I use - zypper install -y MozillaFirefox which is same as zypper install -y MozillaFirefox.x86_64 for a 64 bit machine. If I use zypper install -y ...
user avatar
1 vote
0 answers
60 views

Is there a way to get package checksum using `zypper`?

How to get the checksum of the package when using zypper. I tried even the --xmlout option of zypper as zypper --xmlout --no-refresh install -D -y --no-recommends MozillaFirefox. Is there a way to ...
user avatar
0 votes
1 answer
301 views

Unable to upgrade openSUSE Leap 42.2 to 42.3

I'm trying to upgrade from openSUSE Leap 42.2 to 42.3 using: :~> cd /etc/zypp/repos.d :~> sed -i 's/42.2/42.3/' * :~> zypper refresh :~> zypper dup :~> reboot After rebooting I get messages such ...
user avatar
0 votes
1 answer
151 views

Are there any tools to monitor network requests at very low-level?

I would like to monitor the web/ftp requests made by Zypper when we install a package. But none of the suggested network monitoring tools seem to identify the requests made by Zypper. So far, I've ...
user avatar
0 votes
1 answer
879 views

How does Zypper find the required packages in the repository?

When we use zypper install <package_name>, zypper installs the package along with its dependencies. What exactly is happening in the background? Are there any ways to obtain the URL of a ...
user avatar
0 votes
1 answer
378 views

Zypper: Check last "zypper up" command time

There is a script that checks whether packages up-to-date or not via a zypper up. In this situation, team "A" creates the servers: they do zypper up, ok. Another team validates the servers: they ...
user avatar
  • 51
17 votes
2 answers
13k views

Why do I get "Warning: Repository 'oss_update' appears to be outdated. Consider using a different mirror or server."?

On WSL, I executed sudo zypper update, but I got this error message. Loading repository data... Warning: Repository 'oss_update' appears to be outdated. Consider using a different mirror or ...
user avatar
  • 757
2 votes
1 answer
2k views

zypper exit code 106 - how to fix? [closed]

On a SLES11.4 server wanted to install a package: SLES11SERVER:~ # zypper in -f telnet Retrieving repository 'foobar_common' metadata [\] File 'repomd.xml' from repository 'foobar_common' is ...
user avatar
  • 511
1 vote
1 answer
158 views

Launching zypper command with root privilege

I want to initiate zypper command without the entry of sudo. For example, zypper update I attempt to change the permission bit of the zypper file located at /usr/bin folder. I assume that with allow ...
user avatar
0 votes
1 answer
3k views

Target initialization failed. Failed to cache rpm database (1)

I am running an openSUSE leap 42.2 64 bit os on my laptop. I was trying to install some packages including nautilus-dropbox, so I added the packman repo. After zypper update, there were some packages ...
user avatar
3 votes
2 answers
12k views

Why do I get "Protocol http not supported or disabled in libcurl"?

I am trying to add a repository to my OpenSUSE Leap 42.3 (running on WSL) with the following command. sudo zypper addrepo https://download.opensuse.org/repositories/devel:languages:php/...
user avatar
  • 757
4 votes
2 answers
634 views

Mark RPM as Automatically or Manually Installed

A question exists regarding how to mark an RPM as automatically installed, but that question concerns Fedora. I am using zypper on OpenSUSE as an end-user and would like to know how to mark a package ...
user avatar
  • 4,121
0 votes
1 answer
2k views

zypper can't access repositories in opensuse leap 42.3

It shows the following error when trying to update or refresh using zypper, but I can access these links from Google Chrome. Timeout exceeded when accessing 'http://download.opensuse.org/debug/...
user avatar
  • 1
1 vote
1 answer
6k views

How to fix broken Zypper after change SUSE Tumbleweed to Leap

I have changed my distribution from Tumleweed to Leap 43 by changing list of repositories to: # zypper lr Repository priorities are without effect. All enabled repositories share the same priority. ...
user avatar
  • 55
1 vote
1 answer
2k views

What is the command that has the opposite effect of "zypper addrepo"?

I've got myself into a bit of trouble trying to upgrade the version of postgres on a server and now I want to revert back as it's caused some issues. I'm trying to back track and to uninstall a couple ...
user avatar
0 votes
1 answer
4k views

Problem: nothing provides libcrypto.so.10()(64bit) needed by Percona-Server-client-57-5.7.10-3.1.el7.x86_64

I'm trying to install downloaded percona RPM packages: > ls -1 Percona-Server-5.7.10-3-r63dafaf-el7-x86_64-bundle.tar Percona-Server-57-debuginfo-5.7.10-3.1.el7.x86_64.rpm Percona-Server-client-57-...
user avatar
  • 1,315
1 vote
1 answer
367 views

opensuse tumbleweed cannot install latest version of opencv

Available opencv version for tumbleweed on the website https://software.opensuse.org/package/opencv is listed 3.2, but when I try installing it on my laptop version 3.1 is installed. Can you please ...
user avatar
  • 125
0 votes
1 answer
1k views

GCC-5 installation

I would like to install gcc-5 on my local machine. But I am encountering some issues. When I type the following command: sudo zypper install gcc-5 I got the following answer Loading repository ...
user avatar
  • 548
2 votes
0 answers
583 views

Rollback dependencies from a zypper update failure

The main RPM requires specific version of dependencies, for example: main-1.0.0 requires foo-1.0.0, bar-1.0.0 main-1.1.0 requires foo-1.1.0, bar-1.1.0 When I try to update the main RPM, there is ...
user avatar
  • 143
1 vote
3 answers
3k views

yast2 crashed at the moment of loading the install software module

While trying to run a module from within yast in Tumbleweed openSUSE, the module crashed and it says in terminal Run command: /sbin/yast2 sw_single & terminate called after throwing an instance ...
user avatar
  • 498
4 votes
1 answer
1k views

How do I install jdk on SUSE Linux with ansible?

I need to install java on one of my VMs running SUSE Linux using ansible. Below is the playbook code I am using: - name: Download Java become_user: "{{user}}" command: "wget -q -O {{java_archive}...
user avatar
4 votes
2 answers
15k views

Java 8 JDK install on OpenSUSE - Update Alternatives

I have searched many OpenSUSE forums for an answer to this, but so far I have not found one. Long story short, when installing the RPM for the JDK from Oracle, I receive the following: > sudo ...
user avatar
  • 45
0 votes
2 answers
1k views

change zypper language

I just installed openSUSE Leap 42.2. I'm struggling with the language settings. I want the computer to talk english to me, but I want my formats to be swedish, so I've changed the settings to a mix ...
user avatar
  • 868
3 votes
1 answer
159 views

how to know if a reboot will be required

Depending on your Linux version there are different commands to update the system from a repository. What command is needed to preview whether a reboot will be required.... In other words - BEFORE an ...
user avatar
  • 1,148
0 votes
0 answers
2k views

Not able to install rpm-build

I am using zypper to install rpm-build but I am getting issues: zypper install rpm-build Loading repository data... Reading installed packages... Resolving package dependencies... The following 4 ...
user avatar
1 vote
2 answers
1k views

Upgrading curl but 'openSUSE-12.3-Update-Non-Oss' appears to be outdated

My webserver is running a Magento 1.8.1.0 that uses php-curl under the hood. It runs openSUSE 12.3 and: PHP 5.3.17 Apache 2.2.29 mysql Ver 14.14 Distrib 5.5.33 OpenSSL 1.0.1j The curl version ...
user avatar
0 votes
2 answers
3k views

What is Opensuse's equivalent of `apt-get source`?

In Debian I could easily download the original sources for a package with apt-get source. I found this very useful for learning about the software I use. How can I do something similar in Opensuse? ...
user avatar
  • 5,031